from collections import namedtuple

Film = namedtuple('Film', 'rok název režisér')

filmy = []

# otevření textového souboru v kódování UTF-8 pro čtení
with open('filmy_1.csv', mode='r', encoding='utf-8') as soubor:
    # procházení (textového) souboru řádku po řádce
    for řádka in soubor:
        # odstranění \n na konci načtené řádky
        řádka = řádka.strip()
        # rozdělení řádky podle ; a přiřazení do proměnných
        _, název, rok, režisér = řádka.split(';')
        # příprava dat
        název = název[21:]
        filmy.append(
            Film(rok, název, režisér)
        )

# výpis seřazený podle režisérů
for film in sorted(filmy, key=lambda x: x.režisér):
    print(film)
